#include <stdio.h>
#include "externs.h"

#define    DISPLAY_PAGE    0

/*

These things are not so compiler independent.... So you will have to 
write these, they do the following:

    getchr() - Get a char, DONOT ECHO the char.  Some compilers
               do some funny things with the FUNCTION keys, This
               program does not care in any way shape or form.
               It is only looking for a letter Q for Quit.

    cls()    - Clear the screen.

    poll()   - Polls the keyboard, Returns 0 if no key was hit.


 */

go( row, col )        /* put the cursor here.. */
int    row, col;
{
REGS myregs;    /* don't use input_regs!!!! screws up format/read/write! */

    myregs.AX = 0x0200;
    myregs.BX = DISPLAY_PAGE;
    myregs.DX = (row << 8) | col;
    
    sysint( 0x10, &myregs, &myregs );
}


flush_kbd()	/* flush the keyboard.. */
{
    while( poll() )
        getachr();
}


getachr()	/* All char input comes through here */
{
int    x;
    
    x = getchr();		/* YOU MUST CHANGE THIS TO YOURS... */
    if( toupper(x) == 'Q' )
        byebye();

    return x;
}


byebye()			/* add any clean up you need.. */
{
    go( 23, 0 );		
    exit(0);
}


